Bug 1347551 - Update rubygem-ruby-libvirt to 0.6.0
Summary: Update rubygem-ruby-libvirt to 0.6.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-ruby-libvirt
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Troy Dawson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-17 08:34 UTC by Dominic Cleal
Modified: 2016-09-15 00:50 UTC (History)
2 users (show)

Fixed In Version: rubygem-ruby-libvirt-0.6.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-15 00:50:19 UTC
Type: Bug


Attachments (Terms of Use)
dist-git patch for epel7 branch (1.10 KB, patch)
2016-06-17 08:34 UTC, Dominic Cleal
no flags Details | Diff

Description Dominic Cleal 2016-06-17 08:34:02 UTC
Created attachment 1168978 [details]
dist-git patch for epel7 branch

Description of problem:
Please update rubygem-ruby-libvirt to the latest version (0.6.0), which includes support for managing DHCP leases.

Tested dist-git patch attached.

Version-Release number of selected component (if applicable):
rubygem-ruby-libvirt-0.4.0-4.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. ruby -rlibvirt -e "p Libvirt.open('qemu:///system').lookup_network_by_name('default').dhcp_leases"

Actual results:
-e:1:in `<main>': undefined method `dhcp_leases' for #<Libvirt::Network:0x00000001d93cc0> (NoMethodError)

Expected results:
[] or data.

Additional info:

Comment 1 Fedora Update System 2016-07-28 14:38:55 UTC
rubygem-ruby-libvirt-0.6.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-65343dc650

Comment 2 Fedora Update System 2016-07-29 07:19:13 UTC
rubygem-ruby-libvirt-0.6.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-65343dc650

Comment 3 Fedora Update System 2016-09-15 00:50:17 UTC
rubygem-ruby-libvirt-0.6.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.